CVE-2023-35847

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2023-35847
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-35847.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2023-35847
Published
2023-06-19T03:15:09Z
Modified
2024-05-23T01:26:57.342646Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

VirtualSquare picoTCP (aka PicoTCP-NG) through 2.1 does not have an MSS lower bound (e.g., it could be zero).

References

Affected packages

Git / github.com/virtualsquare/picotcp

Affected ranges

Type
GIT
Repo
https://github.com/virtualsquare/picotcp
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

2.*

2.0.0

V1.*

V1.0
V1.2.4

Other

sprint0
sprint1
sprint2
sprint3
sprint4
sprint5
sprint6
sprint7
sprint8

v1.*

v1.1-rc1
v1.2
v1.2.1
v1.2.2
v1.2.3
v1.3.0
v1.4.0
v1.4.1-dev-customer-sprint1
v1.5.0
v1.5.1
v1.6.0
v1.6.1
v1.6.2
v1.7.0

v2.*

v2.1